﻿using Grpc.Net.Client;
using GrpcServer;
using System;
using System.Threading.Tasks;

namespace GRPCClientDemon1
{
    class Program
    {
        static async Task Main(string[] args)
        {
            var channel = GrpcChannel.ForAddress("https://localhost:5001");
            var client = new Greeter.GreeterClient(channel);
            var reply = await client.SayHelloAsync(new HelloRequest { Name = "西伯利亚的狼" });
            Console.WriteLine("Greeter 服务返回数据: " + reply.Message);
            Console.ReadKey();


            Console.WriteLine("Hello World!");
        }
    }
}
